diff options
author | Natanael Copa <ncopa@alpinelinux.org> | 2014-01-07 07:59:53 +0000 |
---|---|---|
committer | Natanael Copa <ncopa@alpinelinux.org> | 2014-01-07 08:56:41 +0000 |
commit | a96582b446211fcc07725f3b19240f01863b0354 (patch) | |
tree | 3a8c2a7ed0ee328c6fd986d51240fec30ff5127f /main/quagga/zebra.initd | |
parent | ac131f247b8c338fb3925ed1222c2666419fca60 (diff) | |
download | aports-a96582b446211fcc07725f3b19240f01863b0354.tar.bz2 aports-a96582b446211fcc07725f3b19240f01863b0354.tar.xz |
main/quagga: create /var/run/quagga at startup
and refactor the scripts while at it
ref #2294
Diffstat (limited to 'main/quagga/zebra.initd')
-rw-r--r-- | main/quagga/zebra.initd | 42 |
1 files changed, 17 insertions, 25 deletions
diff --git a/main/quagga/zebra.initd b/main/quagga/zebra.initd index 2e2f2caa4..3f224c370 100644 --- a/main/quagga/zebra.initd +++ b/main/quagga/zebra.initd @@ -1,42 +1,34 @@ #!/sbin/runscript -# Copyright 1999-2004 Gentoo Foundation -# Distributed under the terms of the GNU General Public License, v2 or later -# $Header: /var/cvsroot/gentoo-x86/net-misc/quagga/files/zebra.init,v 1.2 2007/02/25 09:57:18 mrness Exp $ + +piddir=/var/run/quagga +pidfile=$piddir/$SVCNAME.pid +command=/usr/sbin/$SVCNAME +command_args="-d -f /etc/quagga/$SVCNAME.conf --pid_file $pidfile" depend() { need net after firewall opennhrp } -checkconfig() { - if [ ! -e /etc/quagga/zebra.conf ] ; then - eerror "You need to create /etc/quagga/zebra.conf first." - eerror "An example can be found in /etc/quagga/samples/zebra.conf.sample" - return 1 - fi -} - cleanup() { ebegin "Cleaning up stale zebra routes..." ip route flush proto zebra eend $? } -start() { +checkconfig() { + if ! [ -e /etc/quagga/$SVCNAME.conf ] ; then + eerror "You need to create /etc/quagga/$SVCNAME.conf first." + eerror "An example can be found in /usr/share/doc/quagga/$SVCNAME.conf.sample" + eerror "from quagga-doc package" + return 1 + fi + return 0 +} + +start_pre() { checkconfig || return 1 + checkpath --owner quagga:quagga --directory $piddir cleanup - - ebegin "Starting zebra" - start-stop-daemon --start --quiet --exec /usr/sbin/zebra \ - -- -d -f /etc/quagga/zebra.conf ${ZEBRA_OPTS} \ - --pid_file /var/run/quagga/zebra.pid - result=$? - eend $result } -stop() { - ebegin "Stopping zebra" - start-stop-daemon --stop --quiet --pidfile /var/run/quagga/zebra.pid - result=$? - eend $result -} |